v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kits/existingdata
Retrieves existing data from clinical supplies forms for kit IDs.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : NonSubjectFormRequest
Type:
objectTitle:
NonSubjectFormRequestRequest object containing kit IDs.
Show Source
-
kitIds(required): array
kitIds
Minimum Number of Items:
1Maximum Number of Items:2147483647
Nested Schema : kitIds
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
2147483647Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : InventoryDetailsResponse
Type:
objectResponse object containing kit details.
Show Source
Nested Schema : kitDetails
Type:
Show Source
array-
Array of:
object InventoryDetailsDTO
Contains kit details.
Nested Schema : InventoryDetailsDTO
Type:
objectContains kit details.
Show Source
-
kitId: string
(uuid)
Kit ID.
-
propertyValuesList: array
propertyValuesList
-
rightsNeeded: string
Required rights for the kit.Example:
ORSUnblinded,ORSUnblindedPharmacist
Example:
{
"kitId":"B1B8327AFAA6412287106192AB5984EF",
"rightsNeeded":"ORSUnblinded"
}Nested Schema : propertyValuesList
Type:
Show Source
array-
Array of:
object InventoryProperties
Contains the property details.
Nested Schema : InventoryProperties
Type:
objectContains the property details.
Show Source
-
codeListBlindedKeyValue: string
Blinded code list key.Example:
blinded -
codeLIstId: string
Code list identifier.Example:
KitType,InventoryStatus -
codeListIdForBlindedValue: string
Code list ID for blinded value.Example:
BlindedValues -
propertyName: string
Property key.Example:
Kit Description -
propertyValue: string
Property value.Example:
Returned to Site,Vial -
propertyValueTimestamp: string
(date-time)
Timestamp when the property value was recorded.Example:
2026-02-21T06:30:00Z -
rightsNeeded: string
Rights string.Example:
ORSUnblinded,ORSUnblindedPharmacist,ORSBlindedDepotGet -
srcId: string
Source identifier.Example:
B1B8327AFAA6412287106192AB5984EF -
srcType: string
Source type.Example:
DCSubject
Example:
{
"propertyId":"TEMPERATURE",
"propertyValue":"2-8C"
}Examples
404 Response
Invalid study ID or version number
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples